#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-ByLSjJREncLQlMwWmHiul
key:                  hOpenPGP-2.9.5-ByLSjJREncLQlMwWmHiul
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  69c16fc0b0ff3e9f14d850c7bc037064
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-9.0.1/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-ByLSjJREncLQlMwWmHiul
depends:
    aeson-1.5.6.0-CI7TVKCpPUr3TvYJH78qPf
    asn1-encoding-0.9.6-rIHeKAJRWrG7RR5aenGoz
    attoparsec-0.14.1-HerROSs0hpLEq1E44JWFyp base-4.15.0.0
    base16-bytestring-1.0.1.0-AzQjVmtrUwLAF55suz0faG
    bifunctors-5.5.11-2P1PX4wGeRx3s8BPi7O2Ek binary-0.8.8.0
    binary-conduit-1.3.1-ANOdrjWT6265yREAIiZyAl bytestring-0.10.12.1
    bz2-1.0.1.0-FGisPtBdtyN6yYdXyfOWXU
    conduit-1.3.4.2-1UjnuMDsEIi5lhFydCbGRU
    conduit-extra-1.3.5-1dLWxUTkemQ7GNSyJr34ee containers-0.6.4.1
    crypto-cipher-types-0.0.9-2oAnHtqeRctAMvgq4mBtVl
    cryptonite-0.29-7aXzWnn6dYq5HPWkX7eQFh
    errors-2.3.0-FhBmHY7sMIf8wTT2E4ozOx
    hashable-1.3.3.0-Ob7F4bz7SrJSfcuDhkmwM
    incremental-parser-0.5.0.2-4oxWmWcBDDY6odfl5bgpFq
    ixset-typed-0.5-6su7zvQhhK5LBAwb7Szvke
    lens-5.0.1-8dnP2pTMAQo5RvgbWKmeu3
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    monad-loops-0.4.3-CoSqVlGqFyAAyK5Lg2m9AJ
    nettle-0.3.0-LBTadu1XgKbBXssreAKwoe
    network-uri-2.6.4.1-DC1aot2K9KI32TlB2FcjFC
    openpgp-asciiarmor-0.1.2-GfJPatAye9jEM5GHdQhFW0
    prettyprinter-1.7.1-C1ndLMNYEtq8WIYGU2RZS5
    resourcet-1.2.4.3-yPSWyqRYYA2lZn35JFrm5
    split-0.2.3.4-1quTMurJlIxHAlbX9QCpKs text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-HOIeHz8A3IdD2UbO8b27LU
    transformers-0.5.6.2 unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-85xhml3fqIC6ZwgIEgRSE
    zlib-0.6.2.3-9KdQRdAK0al9cH28ga1ICC

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

